Firmware update fail with strange message if pyserial not installled (Ubuntu 16.04.2 LTS)



  • Hi Guys,

    I have been trying to update the firmware on my LoPy, I was stuck for some time with a stupid issue.
    I want to share that with you.
    If you get a message such as
    "Something failed trying to connect to the device."
    check that pyserial module is installed (sudo pip install pyserial)
    It would be good to add a test to check if python module are installed in the update script.
    I usually use venv to develop that's why I forget to install it.

    Cheers,
    Olivier.



  • @olivierd Wow, this tip saved a lot of time. The problem still persists in the updater tool as of today.


Log in to reply
 

Looks like your connection to Pycom Forum was lost, please wait while we try to reconnect.